Subject: Re: bug#24179: 25.1; scroll-conservatively over SCROLL_LIMIT may put point in the wrong place

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Aug 2016 18:31:56 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 07 Aug 2016 23:42:33 -0600
> 
> Is there a way to save a buffer including all overlays so that both the
> text and overlays can be regenerated later?

I'm not sure.

> I've attached a recipe file below. Once the recipe function is executed,
> open the `test' buffer and do C-n as desired (or try M-g c 1350 and C-f
> as above).

Thanks, this is very helpful.  I think I fixed the problem on the
master branch, please test.

Btw, magit-blame could be nicer to the display engine by placing a
'cursor' property on the first character of each before-string it
creates to show the blamed commit.